Bug 128756 - vixie-cron 4.1 pam requirements are bad
vixie-cron 4.1 pam requirements are bad
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 20:19 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 09:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-07-28 20:19:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
At line 22 of the specfile: 

%if %{WITH_PAM}
Requires: pam
%endif

Should be:

%if %{WITH_PAM}
BuildRequires: pam-devel
%endif

Otherwise there won't be a clue that pam-devel is needed for
compiling. rpm will pick up the Requires: pam as it builds the package
even without it being explicitly said.

Version-Release number of selected component (if applicable):
vixie-cron-4.1-2

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps pam-devel
2. rpmbuild -bb vixie-cron.spec

Actual Results:  compile failed

Expected Results:  message saying where the rpm was saved.

Additional info:
Comment 1 Jason Vas Dias 2004-07-29 09:13:20 EDT
Actually, it was 'Requires: pam-devel'
until I got a letter complaining that 
devel packages should not be required
on production systems.
Obviously, it should have been:
' Requires: pam
  BuildRequires: pam-devel
'
and shall be so henceforth 
( vixie-cron-4.1-5 + )

Note You need to log in before you can comment on or make changes to this bug.